import { FlushPolicyBase } from './types';

/**
 * StatupFlushPolicy triggers a flush right away on client startup
 */
export class BackgroundFlushPolicy extends FlushPolicyBase {
  start() {
    // Nothing to do
  }
  onEvent(_event) {
    if ('event' in _event && _event.event === 'Application Backgrounded') {
      this.shouldFlush.value = true;
    }
  }
  end() {
    // Nothing to do
  }
}
//# sourceMappingURL=background-flush-policy.js.map